#!/usr/bin/env python
#Author: Mark Feineigle
#Create Date: 2018/04/19
#Last Modify: 2018/04/19
# deeper learning insights machine learning page 238

import numpy as np
from sklearn.feature_extraction.text import CountVectorizer
count = CountVectorizer()
# The CountVectorizer class in scikit-learn allows us to use different n-gram
# models via its ngram_range parameter. While a 1-gram representation is used
# by default, we could switch to a 2-gram representation by initializing a new
# CountVectorizer instance with ngram_range=(2,2).
docs = np.array(['The sun is shining',
                 'The weather is sweet',
                 'The sun is shining and the weather is sweet'])
bag = count.fit_transform(docs)
print
print(count.vocabulary_)
print
print(bag.toarray())
print

from sklearn.feature_extraction.text import TfidfTransformer
tfidf = TfidfTransformer()
np.set_printoptions(precision=2)
print(tfidf.fit_transform(count.fit_transform(docs)).toarray())

